<?php

/*
=====================================================================

  프로젝트 이름 : 피리 웹프로그램

  만든사람 : 피리 PIREE ( piree1977@gmail.com )

  홈페이지 : www.piree.kr

  작성날짜 : 2020년 07월 24일 금요일 오전 02시 17분 - 날씨 흐림, 18, 18, 22, 20 / 최고 좋음, 2, 0

  저 작 권 : Copyright ⓒ 2014-2023 피리 PIREE . All right reserved
            그누보드 외에 추가된 소스는~
            만든사람의 허락없이 무단으로 사용할수 없습니다.
            사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
            http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 SAM > 라이브러리 > 피리 웹프로그램 > p770019 - 그누보드 추가 기능
=====================================================================

//*****************************************************************
//** SAM_SOSS
//*****************************************************************

*/

/*
  ▣ 작업자 : 피리 PIREE ( piree1977@gmail.com )
  ▣ 작업일시 : 2020년 07월 24일 금요일 오전 05시 23분 - 날씨 
  ▣ 작업내용 : 
*/

  IF ( !defined('_GNUBOARD_') )                  EXIT;

  $member_count_article_arr = array();

  $member_count_comment_arr = array();

  # PWP__770006__REPORT

  function get__is_blind($wr_pi_report_t )
  {

// $_SESSION;

      $blind_arr["user_ck"]  = false;
      $blind_arr["admin_ck"] = false;
      $blind_arr["clear_ck"] = false;
      $blind_arr["report_t"] = $wr_pi_report_t;

      IF ( $wr_pi_report_t < 100 )
      {

      }
      ELSE IF ( $wr_pi_report_t < 200 )
      {

          $blind_arr["user_ck"] = true;

          $blind_arr["report_t"] = $wr_pi_report_t-100;

          IF ( !is_admin($_SESSION['ss_mb_id'] ) )
          {

              $blind_arr["admin_ck"] = true;

          }

      }
      ELSE
      {

          $blind_arr["report_t"] = 0;

      }

      return $blind_arr;

  }

  # PWP__770019__BOARD_FUNC

  function get__770019_report_url($prog_div_c, $bo_table, $wr_id)
  {

      global $is_member;

      $report_url = '';

      IF ( $is_member )
      {

          global $member, $config;
          global $piree_prog_a;

          $in_error_t = 0;

          IF ( $member['mb_pi_report_auth'] != 1 )    $in_error_t++;

          $report_arr = explode("||", $config['cf_report_v']);

          IF ( $report_arr[0] == date("Y") )
          {

              IF ( $report_arr[1] > $member['mb_level'] )        $in_error_t++;

          }

          IF ( $in_error_t == 0 )
          {

              $in_error = 0;

              SWITCH($prog_div_c)
              {

                  CASE 'article' :

                      IF ( !$bo_table)              $in_error++;
                      IF ( !$wr_id)                  $in_error++;

                      $report_url = piree__url($piree_prog_a[770019]['num'], 'report__do_pop.php') ."?prog_div_c=". $prog_div_c ."&bo_table=". $bo_table ."&wr_id=". $wr_id;

                  BREAK;

                  CASE 'comment' :

                      IF ( !$bo_table)              $in_error++;
                      IF ( !$wr_id)                  $in_error++;

                      $report_url = piree__url($piree_prog_a[770019]['num'], 'report__do_pop.php') ."?prog_div_c=". $prog_div_c ."&bo_table=". $bo_table ."&wr_id=". $wr_id;

                  BREAK;

                  CASE 'member' :

                      IF ( !$wr_id)                  $in_error++;

                      $report_url = piree__url($piree_prog_a[770019]['num'], 'report__do_pop.php') ."?prog_div_c=". $prog_div_c ."&mb_id=". $wr_id;

                  BREAK;

                  DEFAULT :

                      $in_error++;

                  BREAK;

              }

              IF ( $in_error > 0 )
              {

                  $report_url = '';
              }

          }

      }

      return $report_url;

  }

  # PWP__770019__BOARD_FUNC

  function get__770019_blind($wr_pi_report_t )
  {

// $_SESSION;

      $blind_arr["user_ck"]  = false;
      $blind_arr["admin_ck"] = false;
      $blind_arr["clear_ck"] = false;
      $blind_arr["report_t"] = $wr_pi_report_t;

      IF ( $wr_pi_report_t < 100 )
      {

      }
      ELSE IF ( $wr_pi_report_t < 200 )
      {

          $blind_arr["user_ck"] = true;

          $blind_arr["report_t"] = $wr_pi_report_t-100;

          IF ( !is_admin($_SESSION['ss_mb_id'] ) )
          {

              $blind_arr["admin_ck"] = true;

          }

      }
      ELSE
      {

          $blind_arr["report_t"] = 0;

      }

      return $blind_arr;

  }

?>